LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
UriSchemeParser_vndDOTsunDOTstarDOTexpand Service Referencepublished

parses textual representations of absolute “vnd.sun.star.expand” URLs. More...

`import"UriSchemeParser_vndDOTsunDOTstarDOTexpand.idl";`

Inheritance diagram for UriSchemeParser_vndDOTsunDOTstarDOTexpand:

## Additional Inherited Members
Public Member Functions inherited from XUriSchemeParser
XUriReference | parse ([in] string scheme, [in] string schemeSpecificPart)
| parses the textual representation of an absolute URI. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

parses textual representations of absolute “vnd.sun.star.expand” URLs.

The argument `scheme` of method com::sun::star::uri::XUriSchemeParser::parse() must always be equal to the `string` `"vnd.sun.star.expand"`, ignoring case. The objects returned by com::sun::star::uri::XUriSchemeParser::parse() implement com::sun::star::uri::XVndSunStarExpandUrlReference.

This service is not intended to be instantiated directly by client code. Rather, it should be used indirectly through the com::sun::star::uri::UriReferenceFactory service.

Since
  OOo 2.3

The documentation for this service was generated from the following file:

- com/sun/star/uri/UriSchemeParser_vndDOTsunDOTstarDOTexpand.idl